Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.ensembl.datamodel
Interface DnaDnaAlignFeature

All Superinterfaces:
  java.lang.Cloneable, java.lang.Comparable, Feature, FeaturePair, Locatable, Persistent, java.io.Serializable

public interface DnaDnaAlignFeature
extends FeaturePair

Method Summary
`java.lang.String` | `getHitSpecies()`
`java.lang.String` | `getMethodLinkType()`
`java.lang.String` | `getSpecies()`
`java.util.List` | `getUngappedAlignments()`
`void` | `setHitSpecies(java.lang.String newValue)`
`void` | `setMethodLinkType(java.lang.String newValue)`
`void` | `setSpecies(java.lang.String newValue)`
`void` | `setUngappedAlignments(java.util.List newValue)`

Methods inherited from interface org.ensembl.datamodel.FeaturePair
`getCigarString, getEvalue, getHitAccession, getHitDescription, getHitDisplayName, getHitLocation, getHitSequence, getPercentageIdentity, getScore, setCigarString, setEvalue, setHitAccession, setHitDescription, setHitDisplayName, setHitLocation, setHitSequence, setPercentageIdentity, setScore`

Methods inherited from interface org.ensembl.datamodel.Feature
`getAnalysis, getAnalysisID, getDescription, getDisplayName, setAnalysis, setAnalysisID, setDescription, setDisplayName`

Methods inherited from interface org.ensembl.datamodel.Locatable
`getLocation, getSequence, setCoordinateSystem, setLocation, setSequence`

Methods inherited from interface org.ensembl.datamodel.Persistent
`getDriver, getInternalID, sameInternalID, setDriver, setInternalID`

Methods inherited from interface java.lang.Comparable
`compareTo`

Method Detail

### getUngappedAlignments

    public java.util.List getUngappedAlignments()

### setUngappedAlignments

    public void setUngappedAlignments(java.util.List newValue)

### getSpecies

    public java.lang.String getSpecies()

### setSpecies

    public void setSpecies(java.lang.String newValue)

### getHitSpecies

    public java.lang.String getHitSpecies()

### setHitSpecies

    public void setHitSpecies(java.lang.String newValue)

### getMethodLinkType

    public java.lang.String getMethodLinkType()

### setMethodLinkType

    public void setMethodLinkType(java.lang.String newValue)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD